package com.caliverse.admin.domain.dao.admin;

import com.caliverse.admin.domain.entity.MenuBanner;
import com.caliverse.admin.domain.entity.Message;
import com.caliverse.admin.domain.request.MenuRequest;

import java.util.List;
import java.util.Map;

public interface MenuMapper {

    List<MenuBanner> getBannerList(Map map);
    int getTotal();
    MenuBanner getBannerDetail(Long id);
    List<Message> getMessage(Long id);
    int getMaxOrderId();

    void insertBanner(MenuRequest mailRequest);
    void insertMessage(Map map);

    int updateBanner(MenuRequest mailRequest);

    int deleteMessage(Map map);
    void deleteBanner(Map map);


}
